Package com.xebialabs.deployit.plugin.api.udm.base

# Class BaseDeployedArtifact<D extends DeployableArtifact,C extends Container>

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed<D,C>
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployedArtifact<D,C>

All Implemented Interfaces:
  `Artifact`, `DerivedArtifact<D>`, `ConfigurationItem`, `Deployed<D,C>`, `EmbeddedDeployedContainer<D,C>`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `BaseDeployedInfrastructureAsCode`

@Metadata(virtual=true, description="The supertype of all DeployedArtifacts.") public class BaseDeployedArtifact<D extends DeployableArtifact,C extends Container> extends BaseDeployed<D,C> implements DerivedArtifact<D>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseDeployedArtifact()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.xebialabs.overthere.OverthereFile`
  `getFile()`
  `Map<String,String>`
  `getPlaceholders()`
  `D`
  `getSourceArtifact()`
  `void`
  `setFile(com.xebialabs.overthere.OverthereFile file)`
  `void`
  `setPlaceholders(Map<String,String> placeholders)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed

  `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Constructor Details

  - ### BaseDeployedArtifact

    public BaseDeployedArtifact()

- ## Method Details

  - ### getFile

    public com.xebialabs.overthere.OverthereFile getFile()
    Specified by:
      `getFile` in interface `Artifact`
    Returns:
      A representation of a file that can be access through an Overthere connection.

  - ### setFile

    public void setFile(com.xebialabs.overthere.OverthereFile file)
    Specified by:
      `setFile` in interface `Artifact`
    Parameters:
      `file` - A representation of a file that can be access through an Overthere connection.

  - ### getPlaceholders

    public Map<String,String> getPlaceholders()
    Specified by:
      `getPlaceholders` in interface `DerivedArtifact<D extends DeployableArtifact>`

  - ### setPlaceholders

    public void setPlaceholders(Map<String,String> placeholders)
    Specified by:
      `setPlaceholders` in interface `DerivedArtifact<D extends DeployableArtifact>`

  - ### getSourceArtifact

    public D getSourceArtifact()
    Specified by:
      `getSourceArtifact` in interface `DerivedArtifact<D extends DeployableArtifact>`